summaryrefslogtreecommitdiff
path: root/dev-libs/log4cpp
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-libs/log4cpp
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-libs/log4cpp')
-rw-r--r--dev-libs/log4cpp/Manifest2
-rw-r--r--dev-libs/log4cpp/files/1.0-asneeded.patch122
-rw-r--r--dev-libs/log4cpp/files/1.0-doc_install_path.patch37
-rw-r--r--dev-libs/log4cpp/files/1.0-gcc43.patch26
-rw-r--r--dev-libs/log4cpp/files/log4cpp-1.1-automake-1.13.patch12
-rw-r--r--dev-libs/log4cpp/files/log4cpp-1.1-cmath-fix.patch10
-rw-r--r--dev-libs/log4cpp/log4cpp-1.1.3.ebuild60
-rw-r--r--dev-libs/log4cpp/log4cpp-1.1.ebuild60
-rw-r--r--dev-libs/log4cpp/metadata.xml9
9 files changed, 338 insertions, 0 deletions
diff --git a/dev-libs/log4cpp/Manifest b/dev-libs/log4cpp/Manifest
new file mode 100644
index 000000000000..11d9fe1e8c7e
--- /dev/null
+++ b/dev-libs/log4cpp/Manifest
@@ -0,0 +1,2 @@
+DIST log4cpp-1.1.3.tar.gz 595639 BLAKE2B fc7d643aa70d739e38ec5aba127b4e760a47a064f4032690586c4698ec83a2b7f219d8476650d3bfc5e25563de0852869429ec45171233c6bd5c08b69476b169 SHA512 88e5e10bce8d7d6421c3dcf14aa25385159c4ae52becdc1f3666ab86e1ad3f633786d82afe398c517d4faaa57b3e7b7c0b524361d81c6b9040dbded5cecc19de
+DIST log4cpp-1.1.tar.gz 547676 BLAKE2B 3fee8e575b404215d308a0d6c72feef612dcfb9c881c97500937d1a94d1c435108a24ae1ad20f19cedb1613735c22a37354226699fe6cafbf6d23dcd12668271 SHA512 e1a723641c75a0b7f9ad2338134b327cd9a0a1bd67ff76bca726389ad76e8ba0ee5a95abe6f29e05a77980255dc08b0aa5c906395b0a0ad094994c9e450e3ecb
diff --git a/dev-libs/log4cpp/files/1.0-asneeded.patch b/dev-libs/log4cpp/files/1.0-asneeded.patch
new file mode 100644
index 000000000000..7e88c545a374
--- /dev/null
+++ b/dev-libs/log4cpp/files/1.0-asneeded.patch
@@ -0,0 +1,122 @@
+http://bugs.gentoo.org/247067
+
+--- a/m4/ACX_PTHREAD.m4
++++ b/m4/ACX_PTHREAD.m4
+@@ -266,6 +266,117 @@
+ else
+ PTHREAD_CC=$CC
+ fi
++
++ # The next part tries to detect GCC inconsistency with -shared on some
++ # architectures and systems. The problem is that in certain
++ # configurations, when -shared is specified, GCC "forgets" to
++ # internally use various flags which are still necessary.
++
++ #
++ # Prepare the flags
++ #
++ save_LDFLAGS="$LDFLAGS"
++ save_CFLAGS="$CFLAGS"
++ save_LIBS="$LIBS"
++ save_CC="$CC"
++
++ # Try with the flags determined by the earlier checks.
++ #
++ # -Wl,-z,defs forces link-time symbol resolution, so that the
++ # linking checks with -shared actually have any value
++ #
++ # FIXME: -fPIC is required for -shared on many architectures,
++ # so we specify it here, but the right way would probably be to
++ # properly detect whether it is actually required.
++ CFLAGS="-shared -fPIC -Wl,-z,defs $CFLAGS $PTHREAD_CFLAGS"
++ LIBS="$PTHREAD_LIBS $LIBS"
++ CC="$PTHREAD_CC"
++
++ # In order not to create several levels of indentation, we test
++ # the value of "$done" until we find the cure or run out of ideas.
++ done="no"
++
++ # First, make sure the CFLAGS we added are actually accepted by our
++ # compiler. If not (and OS X's ld, for instance, does not accept -z),
++ # then we can't do this test.
++ if test x"$done" = xno; then
++ AC_MSG_CHECKING([whether to check for GCC pthread/shared inconsistencies])
++ AC_TRY_LINK(,, , [done=yes])
++
++ if test "x$done" = xyes ; then
++ AC_MSG_RESULT([no])
++ else
++ AC_MSG_RESULT([yes])
++ fi
++ fi
++
++ if test x"$done" = xyes; then
++ done="no"
++ AC_MSG_CHECKING([whether -pthread is sufficient with -shared])
++ AC_TRY_LINK([#include <pthread.h>],
++ [pthread_t th; pthread_join(th, 0);
++ pthread_attr_init(0); pthread_cleanup_push(0, 0);
++ pthread_create(0,0,0,0); pthread_cleanup_pop(0); ],
++ [done=yes])
++
++ if test "x$done" = xyes; then
++ AC_MSG_RESULT([yes])
++ else
++ AC_MSG_RESULT([no])
++ fi
++ fi
++
++ #
++ # Linux gcc on some architectures such as mips/mipsel forgets
++ # about -lpthread
++ #
++ if test x"$done" = xno; then
++ AC_MSG_CHECKING([whether -lpthread fixes that])
++ LIBS="-lpthread $PTHREAD_LIBS $save_LIBS"
++ AC_TRY_LINK([#include <pthread.h>],
++ [pthread_t th; pthread_join(th, 0);
++ pthread_attr_init(0); pthread_cleanup_push(0, 0);
++ pthread_create(0,0,0,0); pthread_cleanup_pop(0); ],
++ [done=yes])
++
++ if test "x$done" = xyes; then
++ AC_MSG_RESULT([yes])
++ PTHREAD_LIBS="-lpthread $PTHREAD_LIBS"
++ else
++ AC_MSG_RESULT([no])
++ fi
++ fi
++ #
++ # FreeBSD 4.10 gcc forgets to use -lc_r instead of -lc
++ #
++ if test x"$done" = xno; then
++ AC_MSG_CHECKING([whether -lc_r fixes that])
++ LIBS="-lc_r $PTHREAD_LIBS $save_LIBS"
++ AC_TRY_LINK([#include <pthread.h>],
++ [pthread_t th; pthread_join(th, 0);
++ pthread_attr_init(0); pthread_cleanup_push(0, 0);
++ pthread_create(0,0,0,0); pthread_cleanup_pop(0); ],
++ [done=yes])
++
++ if test "x$done" = xyes; then
++ AC_MSG_RESULT([yes])
++ PTHREAD_LIBS="-lc_r $PTHREAD_LIBS"
++ else
++ AC_MSG_RESULT([no])
++ fi
++ fi
++ if test x"$done" = xno; then
++ # OK, we have run out of ideas
++ AC_MSG_WARN([Impossible to determine how to use pthreads with shared libraries])
++
++ # so it's not safe to assume that we may use pthreads
++ acx_pthread_ok=no
++ fi
++
++ CFLAGS="$save_CFLAGS"
++ LIBS="$save_LIBS"
++ CC="$save_CC"
++
+ else
+ PTHREAD_CC="$CC"
+ fi
diff --git a/dev-libs/log4cpp/files/1.0-doc_install_path.patch b/dev-libs/log4cpp/files/1.0-doc_install_path.patch
new file mode 100644
index 000000000000..abe88dfd123b
--- /dev/null
+++ b/dev-libs/log4cpp/files/1.0-doc_install_path.patch
@@ -0,0 +1,37 @@
+--- a/doc/Makefile.am
++++ b/doc/Makefile.am
+@@ -1,7 +1,6 @@
+ SUBDIRS = html
+
+ man3dir = $(mandir)/man3
+-docdir = $(prefix)/doc/@PACKAGE_TARNAME@-@PACKAGE_VERSION@
+
+ EXTRA_DIST = \
+ mainPage.txt
+@@ -22,18 +22,18 @@
+
+
+ install-data-local:
+- $(mkinstalldirs) $(man3dir)
++ $(mkinstalldirs) $(DESTDIR)/$(man3dir)
+ @for i in ./man/man3/log4cpp.3 ./man/man3/log4cpp_*.3; do \
+ inst=`basename $$i | sed 's/_/::/g'`; \
+ echo "$(INSTALL_DATA) $$i$(man3dir)/$$inst"; \
+- $(INSTALL_DATA) $$i $(man3dir)/$$inst; \
++ $(INSTALL_DATA) $$i $(DESTDIR)/$(man3dir)/$$inst; \
+ done
+- $(mkinstalldirs) $(docdir)
+- cp -r html/. $(docdir)
+- $(RM) -r -f $(docdir)/CVS \
+- $(docdir)/Makefile.am \
+- $(docdir)/Makefile.in \
+- $(docdir)/Makefile
++ $(mkinstalldirs) $(DESTDIR)/$(docdir)
++ cp -r html/. $(DESTDIR)/$(docdir)
++ $(RM) -r -f $(DESTDIR)/$(docdir)/CVS \
++ $(DESTDIR)/$(docdir)/Makefile.am \
++ $(DESTDIR)/$(docdir)/Makefile.in \
++ $(DESTDIR)/$(docdir)/Makefile
+
+ uninstall-local:
+ $(RM) $(man3dir)/log4cpp.3
diff --git a/dev-libs/log4cpp/files/1.0-gcc43.patch b/dev-libs/log4cpp/files/1.0-gcc43.patch
new file mode 100644
index 000000000000..a60f986e9c0d
--- /dev/null
+++ b/dev-libs/log4cpp/files/1.0-gcc43.patch
@@ -0,0 +1,26 @@
+Index: log4cpp-1.0/src/BasicLayout.cpp
+===================================================================
+--- log4cpp-1.0.orig/src/BasicLayout.cpp 2008-03-14 16:06:57.000000000 -0400
++++ log4cpp-1.0/src/BasicLayout.cpp 2008-03-14 16:07:11.000000000 -0400
+@@ -15,6 +15,8 @@
+ #include <sstream>
+ #endif
+
++#include <memory>
++
+ namespace log4cpp {
+
+ BasicLayout::BasicLayout() {
+Index: log4cpp-1.0/src/PatternLayout.cpp
+===================================================================
+--- log4cpp-1.0.orig/src/PatternLayout.cpp 2008-03-14 16:07:33.000000000 -0400
++++ log4cpp-1.0/src/PatternLayout.cpp 2008-03-14 16:07:49.000000000 -0400
+@@ -370,7 +370,7 @@
+ literal = "";
+ }
+ if ((minWidth != 0) || (maxWidth != 0)) {
+- component = new FormatModifierComponent(component, std::abs(minWidth), maxWidth, minWidth < 0);
++ component = new FormatModifierComponent(component, std::abs((float)minWidth), maxWidth, minWidth < 0);
+ minWidth = maxWidth = 0;
+ }
+ _components.push_back(component);
diff --git a/dev-libs/log4cpp/files/log4cpp-1.1-automake-1.13.patch b/dev-libs/log4cpp/files/log4cpp-1.1-automake-1.13.patch
new file mode 100644
index 000000000000..3e7cb560a509
--- /dev/null
+++ b/dev-libs/log4cpp/files/log4cpp-1.1-automake-1.13.patch
@@ -0,0 +1,12 @@
+--- a/configure.in
++++ b/configure.in
+@@ -17,7 +17,8 @@
+
+ #AC_CONFIG_SRCDIR(configure.in)
+ AC_CONFIG_AUX_DIR(config)
+-AM_CONFIG_HEADER(include/config.h)
++AC_CONFIG_HEADERS([include/config.h])
++AC_CONFIG_MACRO_DIR([m4])
+
+ AM_INIT_AUTOMAKE
+
diff --git a/dev-libs/log4cpp/files/log4cpp-1.1-cmath-fix.patch b/dev-libs/log4cpp/files/log4cpp-1.1-cmath-fix.patch
new file mode 100644
index 000000000000..0180580717ab
--- /dev/null
+++ b/dev-libs/log4cpp/files/log4cpp-1.1-cmath-fix.patch
@@ -0,0 +1,10 @@
+--- a/src/PatternLayout.cpp
++++ b/src/PatternLayout.cpp
+@@ -24,6 +24,7 @@
+ #include <iomanip>
+ #include <ctime>
+ #include <cstdlib>
++#include <cmath>
+ #include "Localtime.hh"
+
+ #ifdef LOG4CPP_HAVE_INT64_T
diff --git a/dev-libs/log4cpp/log4cpp-1.1.3.ebuild b/dev-libs/log4cpp/log4cpp-1.1.3.ebuild
new file mode 100644
index 000000000000..2f4e7a389b17
--- /dev/null
+++ b/dev-libs/log4cpp/log4cpp-1.1.3.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools multilib-minimal
+
+DESCRIPTION="C++ classes for flexible logging to files, syslog and other destinations"
+HOMEPAGE="http://log4cpp.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0/5"
+KEYWORDS="~amd64 ~arm ~ppc ~s390 ~x86"
+IUSE="doc static-libs test"
+RESTRICT="!test? ( test )"
+
+DEPEND="doc? ( app-doc/doxygen )"
+RDEPEND=""
+
+PATCHES=(
+ "${FILESDIR}"/1.0-doc_install_path.patch
+ "${FILESDIR}"/1.0-gcc43.patch
+ "${FILESDIR}"/1.0-asneeded.patch
+ "${FILESDIR}"/${PN}-1.1-cmath-fix.patch
+ "${FILESDIR}"/${PN}-1.1-automake-1.13.patch
+)
+
+S="${WORKDIR}/${PN}"
+
+MULTILIB_CHOST_TOOLS=(
+ /usr/bin/log4cpp-config
+)
+
+src_prepare() {
+ default
+
+ mv configure.{in,ac} || die
+
+ # Build tests conditionally
+ if ! use test; then
+ sed -i -e '/^SUBDIRS/s/ tests//' Makefile.am || die
+ fi
+
+ eautoreconf
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE=${S} econf \
+ --without-idsa \
+ $(use_enable doc doxygen) \
+ $(use_enable static-libs static)
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ # package installs .pc files
+ find "${D}" -name '*.la' -delete || die
+}
diff --git a/dev-libs/log4cpp/log4cpp-1.1.ebuild b/dev-libs/log4cpp/log4cpp-1.1.ebuild
new file mode 100644
index 000000000000..406828fdb425
--- /dev/null
+++ b/dev-libs/log4cpp/log4cpp-1.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools multilib-minimal
+
+DESCRIPTION="C++ classes for flexible logging to files, syslog and other destinations"
+HOMEPAGE="http://log4cpp.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0/5"
+KEYWORDS="amd64 ~arm ppc s390 x86"
+IUSE="doc static-libs test"
+RESTRICT="!test? ( test )"
+
+DEPEND="doc? ( app-doc/doxygen )"
+RDEPEND=""
+
+PATCHES=(
+ "${FILESDIR}"/1.0-doc_install_path.patch
+ "${FILESDIR}"/1.0-gcc43.patch
+ "${FILESDIR}"/1.0-asneeded.patch
+ "${FILESDIR}"/${P}-cmath-fix.patch
+ "${FILESDIR}"/${P}-automake-1.13.patch
+)
+
+S="${WORKDIR}/${PN}"
+
+MULTILIB_CHOST_TOOLS=(
+ /usr/bin/log4cpp-config
+)
+
+src_prepare() {
+ default
+
+ mv configure.{in,ac} || die
+
+ # Build tests conditionally
+ if ! use test; then
+ sed -i -e '/^SUBDIRS/s/ tests//' Makefile.am || die
+ fi
+
+ eautoreconf
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE=${S} econf \
+ --without-idsa \
+ $(use_enable doc doxygen) \
+ $(use_enable static-libs static)
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ # package installs .pc files
+ find "${D}" -name '*.la' -delete || die
+}
diff --git a/dev-libs/log4cpp/metadata.xml b/dev-libs/log4cpp/metadata.xml
new file mode 100644
index 000000000000..8b5d430f1f77
--- /dev/null
+++ b/dev-libs/log4cpp/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <!-- maintainer-needed -->
+ <upstream>
+ <remote-id type="sourceforge">log4cpp</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>